# 決定: Phase 2.5.1 画面分割アーキテクチャの採用

日時: 2025-01-12  
ステータス: FINAL（再議論禁止）

## 背景
Claude Codeとの統合において、ユーザーが以下を求めていた：
- 引数なし起動（`claude-plus`のみ）で全機能にアクセス
- 自然言語での指示（「main.pyを編集して」）
- Claude Codeの動作を妨げない
- エラーの日本語化

Claude Codeは対話型CLIであり、標準入出力を完全に占有するため、統合方法の選定が技術的な課題となった。

## 検討した選択肢

### 1. 画面分割アプローチ（採用）
- tmuxまたはターミナル分割を使用
- 上部：Claude Codeの通常動作
- 下部：日本語コントロールパネル

### 2. PTYラッパー方式
- auto_yesのようにPTYで包む
- 入出力を横取りして制御

### 3. バックグラウンド監視のみ
- Claude Codeは独立動作
- 別プロセスで監視

### 4. プロキシ/仲介方式
- 全ての入出力を仲介
- 完全制御を目指す

## 決定理由
画面分割アプローチを採用：
- **技術的実現可能性**: 最も確実に動作する
- **ユーザー体験**: Claude Codeの動作が見える透明性
- **実装の複雑さ**: 適度な複雑さで実現可能
- **拡張性**: 将来的な機能追加が容易

## 却下理由

### PTYラッパー方式
- ユーザー入力の横取りが必要で対話の自然さが失われる
- Claude Codeの複雑な出力（思考表示など）の解析が困難
- エッジケースが多く安定性に欠ける

### バックグラウンド監視のみ
- Claude Codeへの入力ができない
- 「統合」ではなく単なる並行動作
- ユーザーの要求を満たせない

### プロキシ/仲介方式
- 実装が極めて複雑
- レイテンシの問題
- Claude Codeのアップデートで壊れやすい

## 実装上の注意点
1. tmux非依存の実装も用意（macOSターミナル、フォールバック）
2. auto_protectionの軽量化が必須
3. デバッグモードと本番モードの明確な分離

## 結論
画面分割アプローチは、技術的制約とユーザー要求のバランスを最も良く満たす選択である。
実装の品質に課題があっても、アーキテクチャ自体は正しい。