# Claude++ 安心ダッシュボード ガイド

## 🎯 概要

Claude++ 安心ダッシュボードは、システムの動作状態をリアルタイムで可視化し、作業の進捗や次のアクションを一目で確認できる管理画面です。

## 📊 表示内容

### 1. システム状態（左上）
- **💾 自動保存**: Gitの自動保存機能の有効/無効
- **🔔 通知**: 音声通知機能の有効/無効
- **⚡ 確認省略**: 自動確認応答機能の有効/無効
- **🖥️ 画面分割**: tmux画面分割モードの有効/無効

総括メッセージで全体の状態を表示：
- ✨ すべての機能が有効
- ⚡ 3/4 機能が有効
- ⚠️ 一部機能が無効

### 2. 作業状況（右上）
- **現在の動作**: Claude Codeが何をしているか
- **作業ディレクトリ**: 現在の作業場所
- **経過時間**: セッション開始からの時間

### 3. 次のアクション提案（左下）
コンテキストに応じた3つのアクション提案：
- 通常時: プロジェクト初期化、ファイル作成、ヘルプ
- Git作業時: ブランチ作成、コミット、プッシュ
- エラー時: ログ確認、再起動、ドキュメント参照

### 4. 本日の成果（右下）
- 📝 編集したファイル数
- ⚡ 実行したコマンド数
- 🔧 解決したエラー数
- 💾 作成したコミット数

メッセージで励ましを表示：
- 🌟 さあ、始めましょう！（0件）
- 💪 順調に進んでいます！（1-9件）
- 🔥 素晴らしいペースです！（10-29件）
- 🚀 今日は大活躍ですね！（30件以上）

## ⌨️ 操作方法

- **Tab**: Claude Codeペイン（上部）に切り替え
- **q**: ダッシュボードを終了
- **r**: 表示を手動リフレッシュ

## 🔧 技術仕様

### アーキテクチャ
- **UIライブラリ**: Rich (Python)
- **更新方式**: Live表示による差分更新
- **更新間隔**: 1秒ごと
- **CPU使用率**: 5%以下に最適化

### 状態管理
- **共有ファイル**: `/tmp/claude_plus_state.json`
- **daemon.py**: 状態の書き込み
- **dashboard.py**: 状態の読み込みと表示

### パフォーマンス
- 差分更新でちらつきを防止
- 非ブロッキングI/Oで応答性確保
- エラー時も表示継続

## 🚀 今後の改善予定

### Phase 2（リアルタイム化強化）
- より詳細な作業状態の表示
- アニメーション効果の追加
- グラフィカルな進捗表示

### Phase 3（高度な機能）
- 作業履歴の表示
- カスタマイズ可能な提案
- 統計情報のエクスポート

## 🐛 トラブルシューティング

### ダッシュボードが表示されない
```bash
# 通常のビューアーモードで起動されている場合
python3 core/conversation_viewer.py --dashboard
```

### 状態が更新されない
```bash
# 状態ファイルの確認
cat /tmp/claude_plus_state.json
```

### CPU使用率が高い
更新間隔を調整（dashboard.py の update_interval を変更）

## 📝 開発者向け情報

### テスト方法
```bash
# インタラクティブテスト
python3 scripts/test_dashboard.py

# スナップショットテスト
python3 scripts/test_dashboard_snapshot.py
```

### カスタマイズ
- `DashboardData.update_suggestions()`: 提案内容のカスタマイズ
- `create_*_panel()`: 各パネルの表示内容変更
- `update_interval`: 更新頻度の調整

---

安心ダッシュボードで、Claude++での開発がより快適になることを願っています！